/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
var CellInfoDescription = /** @class */ (function (_super) {
    __extends(CellInfoDescription, _super);
    function CellInfoDescription() {
        var _this = _super.call(this) || this;
        _this.cs = null;
        _this.be = 0;
        _this.n = false;
        _this.r = false;
        _this.i = false;
        _this.h = false;
        _this.l = false;
        _this.s = false;
        _this.j = false;
        _this.m = false;
        _this.f = null;
        _this.o = false;
        _this.p = false;
        _this.k = false;
        _this.cn = null;
        _this.am = 0;
        _this.an = 0;
        _this.bk = 0;
        _this.bl = 0;
        _this.ah = 0;
        _this.ai = 0;
        _this.ag = 0;
        _this.bf = 0;
        _this.bm = 0;
        _this.q = false;
        _this.ak = 0;
        _this.af = 0;
        _this.ch = null;
        _this.cu = null;
        _this.cf = null;
        _this.cg = null;
        _this.cd = null;
        _this.ce = null;
        _this.cc = null;
        _this.co = null;
        _this.cq = null;
        _this.cr = null;
        _this.cl = null;
        _this.ci = null;
        _this.aj = 0;
        _this.ck = null;
        _this.cm = null;
        _this.ct = null;
        _this._fontFamily = null;
        _this._fontSize = 0;
        _this._fontStyle = null;
        _this._fontWeight = null;
        _this.cj = null;
        _this.al = 0;
        _this.bh = 0;
        _this.bj = 0;
        _this.bi = 0;
        _this.bg = 0;
        _this.a7 = 0;
        _this.a9 = 0;
        _this.a8 = 0;
        _this.a6 = 0;
        _this.bb = 0;
        _this.bd = 0;
        _this.bc = 0;
        _this.ba = 0;
        _this.az = 0;
        _this.a1 = 0;
        _this.a0 = 0;
        _this.ay = 0;
        _this.a3 = 0;
        _this.a5 = 0;
        _this.a4 = 0;
        _this.a2 = 0;
        _this.cp = null;
        return _this;
    }
    CellInfoDescription.prototype.get_type = function () {
        return "CellInfo";
    };
    Object.defineProperty(CellInfoDescription.prototype, "type", {
        get: function () {
            return this.get_type();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "styleKey", {
        get: function () {
            return this.cs;
        },
        set: function (a) {
            this.cs = a;
            this.e("StyleKey");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "dataRow", {
        get: function () {
            return this.be;
        },
        set: function (a) {
            this.be = a;
            this.e("DataRow");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "isPositionDirty", {
        get: function () {
            return this.n;
        },
        set: function (a) {
            this.n = a;
            this.e("IsPositionDirty");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "isSizeDirty", {
        get: function () {
            return this.r;
        },
        set: function (a) {
            this.r = a;
            this.e("IsSizeDirty");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "isContentDirty", {
        get: function () {
            return this.i;
        },
        set: function (a) {
            this.i = a;
            this.e("IsContentDirty");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "isBorderDirty", {
        get: function () {
            return this.h;
        },
        set: function (a) {
            this.h = a;
            this.e("IsBorderDirty");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "isLayerDirty", {
        get: function () {
            return this.l;
        },
        set: function (a) {
            this.l = a;
            this.e("IsLayerDirty");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "isStateDirty", {
        get: function () {
            return this.s;
        },
        set: function (a) {
            this.s = a;
            this.e("IsStateDirty");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "isDataDirty", {
        get: function () {
            return this.j;
        },
        set: function (a) {
            this.j = a;
            this.e("IsDataDirty");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "isPlaceholdContentNeeded", {
        get: function () {
            return this.m;
        },
        set: function (a) {
            this.m = a;
            this.e("IsPlaceholdContentNeeded");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "actionManager", {
        get: function () {
            return this.f;
        },
        set: function (a) {
            this.f = a;
            this.e("ActionManager");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "isRowPinned", {
        get: function () {
            return this.o;
        },
        set: function (a) {
            this.o = a;
            this.e("IsRowPinned");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "isRowSticky", {
        get: function () {
            return this.p;
        },
        set: function (a) {
            this.p = a;
            this.e("IsRowSticky");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "isLastStickyRow", {
        get: function () {
            return this.k;
        },
        set: function (a) {
            this.k = a;
            this.e("IsLastStickyRow");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "rowItemRef", {
        get: function () {
            return this.cn;
        },
        set: function (a) {
            this.cn = a;
            this.e("RowItemRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "x", {
        get: function () {
            return this.am;
        },
        set: function (a) {
            this.am = a;
            this.e("X");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "y", {
        get: function () {
            return this.an;
        },
        set: function (a) {
            this.an = a;
            this.e("Y");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "snappedX", {
        get: function () {
            return this.bk;
        },
        set: function (a) {
            this.bk = a;
            this.e("SnappedX");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "snappedY", {
        get: function () {
            return this.bl;
        },
        set: function (a) {
            this.bl = a;
            this.e("SnappedY");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "contentOpacity", {
        get: function () {
            return this.ah;
        },
        set: function (a) {
            this.ah = a;
            this.e("ContentOpacity");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "opacity", {
        get: function () {
            return this.ai;
        },
        set: function (a) {
            this.ai = a;
            this.e("Opacity");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "actualOpacity", {
        get: function () {
            return this.ag;
        },
        set: function (a) {
            this.ag = a;
            this.e("ActualOpacity");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "height", {
        get: function () {
            return this.bf;
        },
        set: function (a) {
            this.bf = a;
            this.e("Height");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "width", {
        get: function () {
            return this.bm;
        },
        set: function (a) {
            this.bm = a;
            this.e("Width");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "isSelected", {
        get: function () {
            return this.q;
        },
        set: function (a) {
            this.q = a;
            this.e("IsSelected");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "selectedStatus", {
        get: function () {
            return this.ak;
        },
        set: function (a) {
            this.ak = a;
            this.e("SelectedStatus");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "activationStatus", {
        get: function () {
            return this.af;
        },
        set: function (a) {
            this.af = a;
            this.e("ActivationStatus");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "horizontalAlignment", {
        get: function () {
            return this.ch;
        },
        set: function (a) {
            this.ch = a;
            this.e("HorizontalAlignment");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "verticalAlignment", {
        get: function () {
            return this.cu;
        },
        set: function (a) {
            this.cu = a;
            this.e("VerticalAlignment");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "background", {
        get: function () {
            return this.cf;
        },
        set: function (a) {
            this.cf = a;
            this.e("Background");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "border", {
        get: function () {
            return this.cg;
        },
        set: function (a) {
            this.cg = a;
            this.e("Border");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "actualBackground", {
        get: function () {
            return this.cd;
        },
        set: function (a) {
            this.cd = a;
            this.e("ActualBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "actualBorder", {
        get: function () {
            return this.ce;
        },
        set: function (a) {
            this.ce = a;
            this.e("ActualBorder");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "activationBorder", {
        get: function () {
            return this.cc;
        },
        set: function (a) {
            this.cc = a;
            this.e("ActivationBorder");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "selectedBackground", {
        get: function () {
            return this.co;
        },
        set: function (a) {
            this.co = a;
            this.e("SelectedBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "sortIndicatorColor", {
        get: function () {
            return this.cq;
        },
        set: function (a) {
            this.cq = a;
            this.e("SortIndicatorColor");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "stickyRowBackground", {
        get: function () {
            return this.cr;
        },
        set: function (a) {
            this.cr = a;
            this.e("StickyRowBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "pinnedRowBackground", {
        get: function () {
            return this.cl;
        },
        set: function (a) {
            this.cl = a;
            this.e("PinnedRowBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "lastStickyRowBackground", {
        get: function () {
            return this.ci;
        },
        set: function (a) {
            this.ci = a;
            this.e("LastStickyRowBackground");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "pinnedRowOpacity", {
        get: function () {
            return this.aj;
        },
        set: function (a) {
            this.aj = a;
            this.e("PinnedRowOpacity");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "originalValueRef", {
        get: function () {
            return this.ck;
        },
        set: function (a) {
            this.ck = a;
            this.e("OriginalValueRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "renderValue", {
        get: function () {
            return this.cm;
        },
        set: function (a) {
            this.cm = a;
            this.e("RenderValue");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "textColor", {
        get: function () {
            return this.ct;
        },
        set: function (a) {
            this.ct = a;
            this.e("TextColor");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "fontFamily", {
        get: function () {
            return this._fontFamily;
        },
        set: function (a) {
            this._fontFamily = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "fontSize", {
        get: function () {
            return this._fontSize;
        },
        set: function (a) {
            this._fontSize = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "fontStyle", {
        get: function () {
            return this._fontStyle;
        },
        set: function (a) {
            this._fontStyle = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "fontWeight", {
        get: function () {
            return this._fontWeight;
        },
        set: function (a) {
            this._fontWeight = a;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "lineBreakMode", {
        get: function () {
            return this.cj;
        },
        set: function (a) {
            this.cj = a;
            this.e("LineBreakMode");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "virtualizationPercentage", {
        get: function () {
            return this.al;
        },
        set: function (a) {
            this.al = a;
            this.e("VirtualizationPercentage");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "paddingLeft", {
        get: function () {
            return this.bh;
        },
        set: function (a) {
            this.bh = a;
            this.e("PaddingLeft");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "paddingTop", {
        get: function () {
            return this.bj;
        },
        set: function (a) {
            this.bj = a;
            this.e("PaddingTop");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "paddingRight", {
        get: function () {
            return this.bi;
        },
        set: function (a) {
            this.bi = a;
            this.e("PaddingRight");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "paddingBottom", {
        get: function () {
            return this.bg;
        },
        set: function (a) {
            this.bg = a;
            this.e("PaddingBottom");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "actualPaddingLeft", {
        get: function () {
            return this.a7;
        },
        set: function (a) {
            this.a7 = a;
            this.e("ActualPaddingLeft");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "actualPaddingTop", {
        get: function () {
            return this.a9;
        },
        set: function (a) {
            this.a9 = a;
            this.e("ActualPaddingTop");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "actualPaddingRight", {
        get: function () {
            return this.a8;
        },
        set: function (a) {
            this.a8 = a;
            this.e("ActualPaddingRight");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "actualPaddingBottom", {
        get: function () {
            return this.a6;
        },
        set: function (a) {
            this.a6 = a;
            this.e("ActualPaddingBottom");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "borderLeftWidth", {
        get: function () {
            return this.bb;
        },
        set: function (a) {
            this.bb = a;
            this.e("BorderLeftWidth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "borderTopWidth", {
        get: function () {
            return this.bd;
        },
        set: function (a) {
            this.bd = a;
            this.e("BorderTopWidth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "borderRightWidth", {
        get: function () {
            return this.bc;
        },
        set: function (a) {
            this.bc = a;
            this.e("BorderRightWidth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "borderBottomWidth", {
        get: function () {
            return this.ba;
        },
        set: function (a) {
            this.ba = a;
            this.e("BorderBottomWidth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "activationBorderLeftWidth", {
        get: function () {
            return this.az;
        },
        set: function (a) {
            this.az = a;
            this.e("ActivationBorderLeftWidth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "activationBorderTopWidth", {
        get: function () {
            return this.a1;
        },
        set: function (a) {
            this.a1 = a;
            this.e("ActivationBorderTopWidth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "activationBorderRightWidth", {
        get: function () {
            return this.a0;
        },
        set: function (a) {
            this.a0 = a;
            this.e("ActivationBorderRightWidth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "activationBorderBottomWidth", {
        get: function () {
            return this.ay;
        },
        set: function (a) {
            this.ay = a;
            this.e("ActivationBorderBottomWidth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "actualBorderLeftWidth", {
        get: function () {
            return this.a3;
        },
        set: function (a) {
            this.a3 = a;
            this.e("ActualBorderLeftWidth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "actualBorderTopWidth", {
        get: function () {
            return this.a5;
        },
        set: function (a) {
            this.a5 = a;
            this.e("ActualBorderTopWidth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "actualBorderRightWidth", {
        get: function () {
            return this.a4;
        },
        set: function (a) {
            this.a4 = a;
            this.e("ActualBorderRightWidth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "actualBorderBottomWidth", {
        get: function () {
            return this.a2;
        },
        set: function (a) {
            this.a2 = a;
            this.e("ActualBorderBottomWidth");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CellInfoDescription.prototype, "sortDirection", {
        get: function () {
            return this.cp;
        },
        set: function (a) {
            this.cp = a;
            this.e("SortDirection");
        },
        enumerable: true,
        configurable: true
    });
    CellInfoDescription.$t = markType(CellInfoDescription, 'CellInfoDescription', Description.$);
    return CellInfoDescription;
}(Description));
export { CellInfoDescription };
